"use client";

import Image from "next/image";
import { useEffect, useState } from 'react';
import serverAction from '../utils/dockerUtils'; // 更新引用

export default function Home() {
  const [sqlCode, setSqlCode] = useState('SELECT * FROM your_table;');
  const [databaseType, setDatabaseType] = useState('sqlserver');
  const [result, setResult] = useState('');

  useEffect(() => {
    // 初始化逻辑可以放在这里
  }, []);

  const handleExecute = async () => {
    try {
      const res = await serverAction(sqlCode, databaseType); // 更新函数调用
      setResult(res);
    } catch (error) {
      if (error instanceof Error) {
        setResult(`Error: ${error.message}`);
      } else {
        setResult('An unknown error occurred.');
      }
    }
  };

  return (
    <div className="grid grid-rows-[20px_1fr_20px] items-center justify-items-center min-h-screen p-8 pb-20 gap-16 sm:p-20 font-[family-name:var(--font-geist-sans)]">
      <main className="flex flex-col gap-8 row-start-2 items-center sm:items-start">
        <textarea
          value={sqlCode}
          onChange={(e) => setSqlCode(e.target.value)}
          style={{ width: '100%', height: '500px' }}
          className="border border-gray-300 p-4 rounded"
        ></textarea>
        <div className="flex gap-4 items-center flex-col sm:flex-row">
          <select value={databaseType} onChange={(e) => setDatabaseType(e.target.value)}>
            <option value="sqlserver">SQL Server</option>
            <option value="mysql">MySQL</option>
            {/* 可以在这里添加其他数据库选项 */}
          </select>
          <button onClick={handleExecute} className="rounded-full border border-solid border-transparent transition-colors flex items-center justify-center bg-foreground text-background gap-2 hover:bg-[#383838] dark:hover:bg-[#ccc] text-sm sm:text-base h-10 sm:h-12 px-4 sm:px-5">
            Execute SQL
          </button>
        </div>
        <div>
          <h3>Result:</h3>
          <pre>{result}</pre>
        </div>
      </main>
      <footer className="row-start-3 flex gap-6 flex-wrap items-center justify-center">
        <a
          className="flex items-center gap-2 hover:underline hover:underline-offset-4"
          href="https://nextjs.org/learn?utm_source=create-next-app&utm_medium=appdir-template-tw&utm_campaign=create-next-app"
          target="_blank"
          rel="noopener noreferrer"
        >
          <Image
            aria-hidden
            src="/file.svg"
            alt="File icon"
            width={16}
            height={16}
          />
          Learn
        </a>
        <a
          className="flex items-center gap-2 hover:underline hover:underline-offset-4"
          href="https://vercel.com/templates?framework=next.js&utm_source=create-next-app&utm_medium=appdir-template-tw&utm_campaign=create-next-app"
          target="_blank"
          rel="noopener noreferrer"
        >
          <Image
            aria-hidden
            src="/window.svg"
            alt="Window icon"
            width={16}
            height={16}
          />
          Examples
        </a>
        <a
          className="flex items-center gap-2 hover:underline hover:underline-offset-4"
          href="https://nextjs.org?utm_source=create-next-app&utm_medium=appdir-template-tw&utm_campaign=create-next-app"
          target="_blank"
          rel="noopener noreferrer"
        >
          <Image
            aria-hidden
            src="/globe.svg"
            alt="Globe icon"
            width={16}
            height={16}
          />
          Go to nextjs.org →
        </a>
      </footer>
    </div>
  );
}
